<?php

if ( function_exists('register_sidebar') ) {
    register_sidebar(array(
		'1' => 'First column',
        'before_widget' => '<div id="%1$s" class="side-block ainv %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="side-title block">',
        'after_title' => '</h3>',
    ));
    
    if (get_option('tn_column_number') == '3 columns') {
	    register_sidebar(array(
			'2' => 'Second column',
	        'before_widget' => '<div id="%1$s" class="side-block ainv %2$s">',
	        'after_widget' => '</div>',
	        'before_title' => '<h3 class="side-title block">',
	        'after_title' => '</h3>',
	    ));
	}
}


$themename = "Vista";
$shortname = "tn";
$options = array (
    
    /* array(  "name" => "Sidebar position",
            "id" => $shortname."_sidebar_position",
            "type" => "select",
            "std" => "Right",
            "options" => array("Left", "Right"),
        ),
    */
    array(  "name" => "Column number",
            "id" => $shortname."_column_number",
            "type" => "select",
            "std" => "2 columns",
            "options" => array("2 columns", "3 columns"),
        )
);

function mytheme_add_admin() {

    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
    
        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

                wp_redirect("themes.php?page=functions.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] ); }

            header("Location: themes.php?page=functions.php&reset=true");
            die;

        }
    }
    add_theme_page($themename." Options", "Vista Theme Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
    
?>
<div class="wrap">
<h2><?php echo $themename; ?> settings</h2>

<form method="post">

<table class="optiontable">

<?php foreach ($options as $value) { 
    
if ($value['type'] == "text") { ?>
        
<tr valign="top"> 
    <th scope="row"><?php echo $value['name']; ?>:</th>
    <td>
        <input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" />
    </td>
</tr>

<?php } elseif ($value['type'] == "select") { ?>

    <tr valign="top"> 
        <th scope="row"><?php echo $value['name']; ?>:</th>
        <td>
            <select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                <?php foreach ($value['options'] as $option) { ?>
                <option<?php if (get_option ( $value['id'] )) {if ( get_option( $value['id'] ) == $option) { echo ' selected="selected"'; }} elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                <?php } ?>
            </select>
        </td>
    </tr>

<?php 
} 
}
?>

</table>

<p class="submit">
<input name="save" type="submit" value="Save changes" />
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}

function mytheme_wp_head() { ?>
<link href="<?php bloginfo('template_directory'); ?>/style.php" rel="stylesheet" type="text/css" />
<?php }

/* add_action('wp_head', 'mytheme_wp_head'); */
add_action('admin_menu', 'mytheme_add_admin');



function mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
			<div class="com-wrapper <?php if (1 == $comment->user_id) echo "admin"; ?>">
	        	<div id="comment-<?php comment_ID(); ?>" class="com-header">
					<?php echo get_avatar( $comment, 32); ?>

	                <p class="tp">
	                    <span><?php comment_author_link() ?></span>
	                    <?php if ($comment->comment_approved == '0') : ?>
	                    <em><?php _e('Your comment is awaiting moderation', 'default'); ?>.</em>
	                    <?php endif; ?>
	                    
	                    <small class="commentmetadata">
	                    	<a href="#comment-<?php comment_ID() ?>" title=""><?php printf( __('%1$s at %2$s', 'default'), get_comment_time(__('F jS, Y', 'default')), get_comment_time(__('H:i', 'default')) ); ?></a>
	                    	<?php edit_comment_link(__('Edit', 'default'),'&nbsp;&nbsp;',''); ?>
	                    </small>
					</p>
	                <div class="clear"></div>
	            </div>
		
				<?php comment_text() ?>
			    <div class="reply">
			    	<p><?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></p>
			    </div>
		    </div>
<?php
        }



function mytheme_ping($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   	   
		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
			<div class="com-wrapper">
	        	<div id="comment-<?php comment_ID(); ?>" class="com-header">
					<img height="32" width="32" class="avatar avatar-32 photo" src="<?php bloginfo('stylesheet_directory'); ?>/img/link.png" alt="Link"/>
			
	                <p class="tp">
	                    <span><?php comment_author_link() ?></span>
	                    <?php if ($comment->comment_approved == '0') : ?>
	                    <em><?php _e('Your comment is awaiting moderation', 'default'); ?>.</em>
	                    <?php endif; ?>
	                    
	                    <small class="commentmetadata">
	                    	<a href="#comment-<?php comment_ID() ?>" title=""><?php printf( __('%1$s at %2$s', 'default'), get_comment_time(__('F jS, Y', 'default')), get_comment_time(__('H:i', 'default')) ); ?></a>
	                    	<?php edit_comment_link(__('Edit', 'default'),'&nbsp;&nbsp;',''); ?>
	                    </small>
					</p>
	                <div class="clear"></div>
	            </div>
		
				<?php comment_text() ?>
			</div>
<?php
        }

?>